Assignee: Marius BĂLTEANU % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 5.0.7   

Resolution: Fixed Affected version:  

Description

When users input the "@" symbol to mention other members within a issue's note textarea, the expected behavior is to display a list

of mentionable candidates. This feature, however, seems to be contingent upon having "Edit issues" permissions. Users without

these permissions, but with "Add watchers" rights, are unable to view the mention candidates despite being able to use the mention

feature.

Reading the code, I've found that the update_data_sources_for_auto_complete method is called within the issue/form partial. The

issue/form partial, however, does not render for users lacking "Edit issues" permissions, hence obstructing the display of mention

candidates. This behavior occurs even if a user has both "Add notes" and "Add Watchers" permissions.

I have attached a patch to ensure that the mention autocomplete functionality is accessible to all users with mention capability, not

just those who can edit tickets.

Best regards,

Associated revisions

Revision 22427 - 2023-11-12 22:40 - Marius BĂLTEANU

Fix mention autocomplete not displaying for users without "Edit issues" permission (#39521).

Patch by Mizuki ISHIKAWA.

Revision 22428 - 2023-11-12 22:41 - Marius BĂLTEANU

Add system test for #39521.

Revision 22433 - 2023-11-13 18:35 - Marius BĂLTEANU

Merged r22427 and r22428 to 5.1-stable (#39521).

Revision 22434 - 2023-11-13 18:35 - Marius BĂLTEANU

Merged r22427 and r22428 to 5.0-stable (#39521).

History

#1 - 2023-11-08 07:31 - Marius BĂLTEANU

- Assignee set to Marius BĂLTEANU

- Target version set to 5.0.7

#2 - 2023-11-12 12:24 - Marius BĂLTEANU

- Tracker changed from Patch to Defect

- Status changed from New to Confirmed

#3 - 2023-11-12 23:25 - Marius BĂLTEANU

- Subject changed from Mention Autocomplete Not Displaying for Users without Edit issues permission to Mention autocomplete not displaying for

users without "Edit issues" permission

- Status changed from Confirmed to Resolved

- Resolution set to Fixed

#4 - 2023-11-13 18:36 - Marius BĂLTEANU
- Status changed from Resolved to Closed
